%{
#include <stdio.h>
#include <stdlib.h>
void yyerror(const char *s);
int yylex();
%}

%token NUMBER
%left '+' '-'
%left '*' '/'

%%
input:    /* пусто */
      | input expr { printf("= %d\n", $2); }
      ;

expr:    NUMBER          { $$ = $1; }
      | expr '+' expr   { $$ = $1 + $3; }
      | expr '-' expr   { $$ = $1 - $3; }
      | expr '*' expr   { $$ = $1 * $3; }
      | expr '/' expr   { $$ = $1 / $3; }
      | '(' expr ')'    { $$ = $2; }
      ;
%%

void yyerror(const char *s) {
    fprintf(stderr, "ERROR: %s\n", s);
}

int main() {
    yyparse();
    return 0;
}